Delete a Playbook Run - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
DELETE
/v2.0/playbooks/{playbookId}/runs/{playbookRunId}
Try it
Delete a Playbook Run
cURL
curl --request DELETE \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId} \
--header 'X-API-Key: <api-key>'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "DELETE",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}")
.header("X-API-Key", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/runs/{playbookRunId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response Codes
204 - Playbook run deleted.
Error Responses
400 Bad Request
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
401 Unauthorized
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Other Error Codes
| Code | Type | Status | Detail |
|---|---|---|---|
| 400 | Bad Request | 400 | Validation failed. Missing payload. |
| 401 | Unauthorized | 401 | |
| 402 | Payment Required | 402 | Validation failed. Missing payload. |
| 403 | Forbidden | 403 | |
| 404 | Not Found | 404 | |
| 405 | Method Not Allowed | 405 | |
| 409 | Conflict | 409 | |
| 413 | Payload Too Large | 413 | |
| 500 | Internal Server Error | 500 | |
| 501 | Not Implemented | 501 | |
| 502 | Bad Gateway | 502 | |
| 503 | Service Unavailable | 503 | |
| 504 | Gateway Timeout | 504 |
Authorizations
APIKeyHeader, APIKeyQueryParam, CXoneTokenHeader, OAuth2 APIKeyHeader
Headers
X-API-Key
- Type: string
- Location: header
- Required: Yes
- Description: Supply the API Key in the HTTP-Header.
Accept
- Type: enum
- Description: The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- playbookId: string, required, The unique identifier for the Playbook. Required string length:
24, Pattern:^[a-z0-9]{24}$ - playbookRunId: string, required, The unique identifier for the Playbook run. Required string length:
24, Pattern:^[a-z0-9]{24}$.